[arch-commits] Commit in gcc8/repos/community-x86_64 (PKGBUILD PKGBUILD)

Sven-Hendrik Haase svenstaro at archlinux.org
Sun Sep 22 10:43:35 UTC 2019


    Date: Sunday, September 22, 2019 @ 10:43:34
  Author: svenstaro
Revision: 511482

archrelease: copy trunk to community-x86_64

Added:
  gcc8/repos/community-x86_64/PKGBUILD
    (from rev 511481, gcc8/trunk/PKGBUILD)
Deleted:
  gcc8/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  456 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 228 insertions(+), 228 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-22 10:43:25 UTC (rev 511481)
+++ PKGBUILD	2019-09-22 10:43:34 UTC (rev 511482)
@@ -1,228 +0,0 @@
-# Maintainer: Sven-Hendrik Haase <svenstaro at gmail.com>
-# Contributor:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-
-# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
-# NOTE: libtool requires rebuilt with each new gcc version
-
-pkgname=(gcc8 gcc8-libs gcc8-fortran)
-pkgver=8.3.0
-_pkgver=8
-_majorver=${pkgver:0:1}
-_islver=0.21
-pkgrel=2
-pkgdesc='The GNU Compiler Collection (8.x.x)'
-arch=(x86_64)
-license=(GPL LGPL FDL custom)
-url='http://gcc.gnu.org'
-makedepends=(binutils libmpc doxygen python)
-checkdepends=(dejagnu inetutils)
-options=(!emptydirs)
-#source=(https://sources.archlinux.org/other/gcc/gcc-${pkgver/+/-}.tar.xz{,.sig}
-source=(https://ftp.gnu.org/gnu/gcc/gcc-$pkgver/gcc-$pkgver.tar.xz{,.sig}
-        http://isl.gforge.inria.fr/isl-${_islver}.tar.bz2)
-validpgpkeys=(F3691687D867B81B51CE07D9BBE43771487328A9  # bpiotrowski at archlinux.org
-              86CFFCA918CF3AF47147588051E8B148A9999C34  # evangelos at foutrelis.com
-              13975A70E63C361C73AE69EF6EEB81F8981C74C7  # richard.guenther at gmail.com
-              33C235A34C46AA3FFB293709A328C3A2C3C45C06) # Jakub Jelinek <jakub at redhat.com>
-sha256sums=('64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c'
-            'SKIP'
-            'd18ca11f8ad1a39ab6d03d3dcb3365ab416720fcb65b42d69f34f51bf0a0e859')
-
-_svnrev=264010
-_svnurl=svn://gcc.gnu.org/svn/gcc/branches/gcc-${_majorver}-branch
-_libdir=usr/lib/gcc/$CHOST/${pkgver%%+*}
-
-snapshot() {
-  svn export -r${_svnrev} ${_svnurl} gcc-r${_svnrev}
-
-  local datestamp basever _pkgver
-  basever=$(< gcc-r${_svnrev}/gcc/BASE-VER)
-  datestamp=$(< gcc-r${_svnrev}/gcc/DATESTAMP)
-  _pkgver=${basever}-${datestamp}
-
-  mv gcc-r${_svnrev} gcc-${_pkgver}
-  tar cf - gcc-${_pkgver} | xz > gcc-${_pkgver}.tar.xz
-  rm -rf gcc-${_pkgver}
-  gpg -b gcc-${_pkgver}.tar.xz
-  scp gcc-${_pkgver}.tar.xz{,.sig} sources.archlinux.org:/srv/ftp/other/gcc/
-
-  echo
-  echo "pkgver=${_pkgver/-/+}"
-}
-
-prepare() {
-  [[ ! -d gcc ]] && ln -s gcc-${pkgver/+/-} gcc
-  cd gcc
-
-  # link isl for in-tree build
-  ln -s ../isl-${_islver} isl
-
-  # Do not run fixincludes
-  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
-
-  # Arch Linux installs x86_64 libraries /lib
-  sed -i '/m64=/s/lib64/lib/' gcc/config/i386/t-linux64
-
-  # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
-  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" {libiberty,gcc}/configure
-
-  mkdir -p "$srcdir/gcc-build"
-}
-
-build() {
-  cd gcc-build
-
-  # using -pipe causes spurious test-suite failures
-  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
-  CFLAGS=${CFLAGS/-pipe/}
-  CXXFLAGS=${CXXFLAGS/-pipe/}
-
-  "$srcdir/gcc/configure" --prefix=/usr \
-      --libdir=/usr/lib \
-      --libexecdir=/usr/lib \
-      --mandir=/usr/share/man \
-      --infodir=/usr/share/info \
-      --with-bugurl=https://bugs.archlinux.org/ \
-      --enable-languages=c,c++,fortran,lto \
-      --enable-shared \
-      --enable-threads=posix \
-      --enable-libmpx \
-      --with-system-zlib \
-      --with-isl \
-      --enable-__cxa_atexit \
-      --disable-libunwind-exceptions \
-      --enable-clocale=gnu \
-      --disable-libstdcxx-pch \
-      --disable-libssp \
-      --enable-gnu-unique-object \
-      --enable-linker-build-id \
-      --enable-lto \
-      --enable-plugin \
-      --enable-install-libiberty \
-      --with-linker-hash-style=gnu \
-      --enable-gnu-indirect-function \
-      --disable-multilib \
-      --disable-werror \
-      --enable-checking=release \
-      --enable-default-pie \
-      --enable-default-ssp \
-      --enable-cet=auto \
-      --program-suffix=-${_pkgver} \
-      --enable-version-specific-runtime-libs
-
-  make
-
-  # make documentation
-  make -C $CHOST/libstdc++-v3/doc doc-man-doxygen
-}
-
-check() {
-  cd gcc-build
-
-  # do not abort on error as some are "expected"
-  make -k check || true
-  "$srcdir/gcc/contrib/test_summary"
-}
-
-package_gcc8-libs() {
-  pkgdesc='Runtime libraries shipped by GCC (8.x.x)'
-  depends=('glibc>=2.27')
-  options+=(!strip)
-
-  cd gcc-build
-  make -C $CHOST/libgcc DESTDIR="$pkgdir" install-shared
-  mv "$pkgdir"/$_libdir/../lib/* "$pkgdir"/$_libdir
-  rmdir "$pkgdir"/$_libdir/../lib
-  rm -f "$pkgdir/$_libdir/libgcc_eh.a"
-
-  for lib in libatomic \
-             libgfortran \
-             libgomp \
-             libitm \
-             libquadmath \
-             libsanitizer/{a,l,ub,t}san \
-             libstdc++-v3/src \
-             libvtv; do
-    make -C $CHOST/$lib DESTDIR="$pkgdir" install-toolexeclibLTLIBRARIES
-  done
-
-  make -C $CHOST/libmpx DESTDIR="$pkgdir" install
-  rm -f "$pkgdir/${_libdir}/libmpx.spec"
-
-  # Install Runtime Library Exception
-  install -Dm644 "$srcdir/gcc/COPYING.RUNTIME" \
-    "$pkgdir/usr/share/licenses/gcc8-libs/RUNTIME.LIBRARY.EXCEPTION"
-}
-
-package_gcc8() {
-  pkgdesc="The GNU Compiler Collection - C and C++ frontends (8.x.x)"
-  depends=("gcc8-libs=$pkgver-$pkgrel" 'binutils>=2.28' libmpc)
-  options+=(staticlibs)
-
-  cd gcc-build
-
-  make -C gcc DESTDIR="$pkgdir" install-driver install-cpp install-gcc-ar \
-    c++.install-common install-headers install-plugin install-lto-wrapper
-
-  install -m755 -t "$pkgdir/${_libdir}/" gcc/{cc1,cc1plus,collect2,lto1,gcov,gcov-tool}
-
-  make -C $CHOST/libgcc DESTDIR="$pkgdir" install
-  rm -r "$pkgdir"/${_libdir}/../lib
-
-  make -C $CHOST/libstdc++-v3/src DESTDIR="$pkgdir" install
-  make -C $CHOST/libstdc++-v3/include DESTDIR="$pkgdir" install
-  make -C $CHOST/libstdc++-v3/libsupc++ DESTDIR="$pkgdir" install
-  make -C $CHOST/libstdc++-v3/python DESTDIR="$pkgdir" install
-  rm "$pkgdir"/${_libdir}/libstdc++*
-
-  make DESTDIR="$pkgdir" install-fixincludes
-  make -C gcc DESTDIR="$pkgdir" install-mkheaders
-
-  make -C lto-plugin DESTDIR="$pkgdir" install
-
-  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_{libsubinclude,toolexeclib}HEADERS
-  make -C $CHOST/libitm DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libquadmath DESTDIR="$pkgdir" install-nodist_libsubincludeHEADERS
-  make -C $CHOST/libsanitizer DESTDIR="$pkgdir" install-nodist_{saninclude,toolexeclib}HEADERS
-  make -C $CHOST/libsanitizer/asan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libsanitizer/tsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libsanitizer/lsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libmpx DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-
-  make -C libcpp DESTDIR="$pkgdir" install
-
-  # many packages expect this symlink
-  ln -s gcc-8 "$pkgdir"/usr/bin/cc-8
-
-  # byte-compile python libraries
-  python -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
-  python -O -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
-
-  # Install Runtime Library Exception
-  install -d "$pkgdir/usr/share/licenses/$pkgname/"
-  ln -s /usr/share/licenses/gcc8-libs/RUNTIME.LIBRARY.EXCEPTION \
-    "$pkgdir/usr/share/licenses/$pkgname/"
-
-  # Remove conflicting files
-  rm -r "$pkgdir"/usr/share/locale
-}
-
-package_gcc8-fortran() {
-  pkgdesc='Fortran front-end for GCC (8.x.x)'
-  depends=("gcc8=$pkgver-$pkgrel")
-
-  cd gcc-build
-  make -C $CHOST/libgfortran DESTDIR="$pkgdir" install-cafexeclibLTLIBRARIES \
-    install-{toolexeclibDATA,nodist_fincludeHEADERS}
-  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_fincludeHEADERS
-  make -C gcc DESTDIR="$pkgdir" fortran.install-common
-  install -Dm755 gcc/f951 "$pkgdir/${_libdir}/f951"
-
-  ln -s gfortran-8 "$pkgdir/usr/bin/f95-8"
-
-  # Install Runtime Library Exception
-  install -d "$pkgdir/usr/share/licenses/$pkgname/"
-  ln -s /usr/share/licenses/gcc-libs/RUNTIME.LIBRARY.EXCEPTION \
-    "$pkgdir/usr/share/licenses/$pkgname/"
-}

Copied: gcc8/repos/community-x86_64/PKGBUILD (from rev 511481, gcc8/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-22 10:43:34 UTC (rev 511482)
@@ -0,0 +1,228 @@
+# Maintainer: Sven-Hendrik Haase <svenstaro at gmail.com>
+# Contributor:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+# NOTE: libtool requires rebuilt with each new gcc version
+
+pkgname=(gcc8 gcc8-libs gcc8-fortran)
+pkgver=8.3.0
+_pkgver=8
+_majorver=${pkgver:0:1}
+_islver=0.21
+pkgrel=3
+pkgdesc='The GNU Compiler Collection (8.x.x)'
+arch=(x86_64)
+license=(GPL LGPL FDL custom)
+url='http://gcc.gnu.org'
+makedepends=(binutils libmpc doxygen python)
+checkdepends=(dejagnu inetutils)
+options=(!emptydirs)
+#source=(https://sources.archlinux.org/other/gcc/gcc-${pkgver/+/-}.tar.xz{,.sig}
+source=(https://ftp.gnu.org/gnu/gcc/gcc-$pkgver/gcc-$pkgver.tar.xz{,.sig}
+        http://isl.gforge.inria.fr/isl-${_islver}.tar.bz2)
+validpgpkeys=(F3691687D867B81B51CE07D9BBE43771487328A9  # bpiotrowski at archlinux.org
+              86CFFCA918CF3AF47147588051E8B148A9999C34  # evangelos at foutrelis.com
+              13975A70E63C361C73AE69EF6EEB81F8981C74C7  # richard.guenther at gmail.com
+              33C235A34C46AA3FFB293709A328C3A2C3C45C06) # Jakub Jelinek <jakub at redhat.com>
+sha256sums=('64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c'
+            'SKIP'
+            'd18ca11f8ad1a39ab6d03d3dcb3365ab416720fcb65b42d69f34f51bf0a0e859')
+
+_svnrev=264010
+_svnurl=svn://gcc.gnu.org/svn/gcc/branches/gcc-${_majorver}-branch
+_libdir=usr/lib/gcc/$CHOST/${pkgver%%+*}
+
+snapshot() {
+  svn export -r${_svnrev} ${_svnurl} gcc-r${_svnrev}
+
+  local datestamp basever _pkgver
+  basever=$(< gcc-r${_svnrev}/gcc/BASE-VER)
+  datestamp=$(< gcc-r${_svnrev}/gcc/DATESTAMP)
+  _pkgver=${basever}-${datestamp}
+
+  mv gcc-r${_svnrev} gcc-${_pkgver}
+  tar cf - gcc-${_pkgver} | xz > gcc-${_pkgver}.tar.xz
+  rm -rf gcc-${_pkgver}
+  gpg -b gcc-${_pkgver}.tar.xz
+  scp gcc-${_pkgver}.tar.xz{,.sig} sources.archlinux.org:/srv/ftp/other/gcc/
+
+  echo
+  echo "pkgver=${_pkgver/-/+}"
+}
+
+prepare() {
+  [[ ! -d gcc ]] && ln -s gcc-${pkgver/+/-} gcc
+  cd gcc
+
+  # link isl for in-tree build
+  ln -s ../isl-${_islver} isl
+
+  # Do not run fixincludes
+  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+
+  # Arch Linux installs x86_64 libraries /lib
+  sed -i '/m64=/s/lib64/lib/' gcc/config/i386/t-linux64
+
+  # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" {libiberty,gcc}/configure
+
+  mkdir -p "$srcdir/gcc-build"
+}
+
+build() {
+  cd gcc-build
+
+  # using -pipe causes spurious test-suite failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
+  CFLAGS=${CFLAGS/-pipe/}
+  CXXFLAGS=${CXXFLAGS/-pipe/}
+
+  "$srcdir/gcc/configure" --prefix=/usr \
+      --libdir=/usr/lib \
+      --libexecdir=/usr/lib \
+      --mandir=/usr/share/man \
+      --infodir=/usr/share/info \
+      --with-bugurl=https://bugs.archlinux.org/ \
+      --enable-languages=c,c++,fortran,lto \
+      --enable-shared \
+      --enable-threads=posix \
+      --enable-libmpx \
+      --with-system-zlib \
+      --with-isl \
+      --enable-__cxa_atexit \
+      --disable-libunwind-exceptions \
+      --enable-clocale=gnu \
+      --disable-libstdcxx-pch \
+      --disable-libssp \
+      --enable-gnu-unique-object \
+      --enable-linker-build-id \
+      --enable-lto \
+      --enable-plugin \
+      --enable-install-libiberty \
+      --with-linker-hash-style=gnu \
+      --enable-gnu-indirect-function \
+      --disable-multilib \
+      --disable-werror \
+      --enable-checking=release \
+      --enable-default-pie \
+      --enable-default-ssp \
+      --enable-cet=auto \
+      --program-suffix=-${_pkgver} \
+      --enable-version-specific-runtime-libs
+
+  make
+
+  # make documentation
+  make -C $CHOST/libstdc++-v3/doc doc-man-doxygen
+}
+
+check() {
+  cd gcc-build
+
+  # do not abort on error as some are "expected"
+  make -k check || true
+  "$srcdir/gcc/contrib/test_summary"
+}
+
+package_gcc8-libs() {
+  pkgdesc='Runtime libraries shipped by GCC (8.x.x)'
+  depends=('glibc>=2.27')
+  options+=(!strip)
+
+  cd gcc-build
+  make -C $CHOST/libgcc DESTDIR="$pkgdir" install-shared
+  mv "$pkgdir"/$_libdir/../lib/* "$pkgdir"/$_libdir
+  rmdir "$pkgdir"/$_libdir/../lib
+  rm -f "$pkgdir/$_libdir/libgcc_eh.a"
+
+  for lib in libatomic \
+             libgfortran \
+             libgomp \
+             libitm \
+             libquadmath \
+             libsanitizer/{a,l,ub,t}san \
+             libstdc++-v3/src \
+             libvtv; do
+    make -C $CHOST/$lib DESTDIR="$pkgdir" install-toolexeclibLTLIBRARIES
+  done
+
+  make -C $CHOST/libmpx DESTDIR="$pkgdir" install
+  rm -f "$pkgdir/${_libdir}/libmpx.spec"
+
+  # Install Runtime Library Exception
+  install -Dm644 "$srcdir/gcc/COPYING.RUNTIME" \
+    "$pkgdir/usr/share/licenses/gcc8-libs/RUNTIME.LIBRARY.EXCEPTION"
+}
+
+package_gcc8() {
+  pkgdesc="The GNU Compiler Collection - C and C++ frontends (8.x.x)"
+  depends=("gcc8-libs=$pkgver-$pkgrel" 'binutils>=2.28' libmpc)
+  options+=(staticlibs)
+
+  cd gcc-build
+
+  make -C gcc DESTDIR="$pkgdir" install-driver install-cpp install-gcc-ar \
+    c++.install-common install-headers install-plugin install-lto-wrapper
+
+  install -m755 -t "$pkgdir/${_libdir}/" gcc/{cc1,cc1plus,collect2,lto1,gcov,gcov-tool}
+
+  make -C $CHOST/libgcc DESTDIR="$pkgdir" install
+  rm -r "$pkgdir"/${_libdir}/../lib
+
+  make -C $CHOST/libstdc++-v3/src DESTDIR="$pkgdir" install
+  make -C $CHOST/libstdc++-v3/include DESTDIR="$pkgdir" install
+  make -C $CHOST/libstdc++-v3/libsupc++ DESTDIR="$pkgdir" install
+  make -C $CHOST/libstdc++-v3/python DESTDIR="$pkgdir" install
+  rm "$pkgdir"/${_libdir}/libstdc++.so*
+
+  make DESTDIR="$pkgdir" install-fixincludes
+  make -C gcc DESTDIR="$pkgdir" install-mkheaders
+
+  make -C lto-plugin DESTDIR="$pkgdir" install
+
+  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_{libsubinclude,toolexeclib}HEADERS
+  make -C $CHOST/libitm DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libquadmath DESTDIR="$pkgdir" install-nodist_libsubincludeHEADERS
+  make -C $CHOST/libsanitizer DESTDIR="$pkgdir" install-nodist_{saninclude,toolexeclib}HEADERS
+  make -C $CHOST/libsanitizer/asan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libsanitizer/tsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libsanitizer/lsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libmpx DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+
+  make -C libcpp DESTDIR="$pkgdir" install
+
+  # many packages expect this symlink
+  ln -s gcc-8 "$pkgdir"/usr/bin/cc-8
+
+  # byte-compile python libraries
+  python -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
+  python -O -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
+
+  # Install Runtime Library Exception
+  install -d "$pkgdir/usr/share/licenses/$pkgname/"
+  ln -s /usr/share/licenses/gcc8-libs/RUNTIME.LIBRARY.EXCEPTION \
+    "$pkgdir/usr/share/licenses/$pkgname/"
+
+  # Remove conflicting files
+  rm -r "$pkgdir"/usr/share/locale
+}
+
+package_gcc8-fortran() {
+  pkgdesc='Fortran front-end for GCC (8.x.x)'
+  depends=("gcc8=$pkgver-$pkgrel")
+
+  cd gcc-build
+  make -C $CHOST/libgfortran DESTDIR="$pkgdir" install-cafexeclibLTLIBRARIES \
+    install-{toolexeclibDATA,nodist_fincludeHEADERS}
+  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_fincludeHEADERS
+  make -C gcc DESTDIR="$pkgdir" fortran.install-common
+  install -Dm755 gcc/f951 "$pkgdir/${_libdir}/f951"
+
+  ln -s gfortran-8 "$pkgdir/usr/bin/f95-8"
+
+  # Install Runtime Library Exception
+  install -d "$pkgdir/usr/share/licenses/$pkgname/"
+  ln -s /usr/share/licenses/gcc-libs/RUNTIME.LIBRARY.EXCEPTION \
+    "$pkgdir/usr/share/licenses/$pkgname/"
+}


More information about the arch-commits mailing list